Name:			exfat-utils
Summary:		Utilities for exFAT file system
Version:		1.0.1
Release:		1%{?dist}
License:		GPLv3+
Group:			System Environment/Base
Source0:		http://exfat.googlecode.com/files/exfat-utils-%{version}.tar.gz
URL:			http://code.google.com/p/exfat/
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:		scons
BuildRequires:		gzip

%description
A set of utilities for creating, checking, dumping and labeling exFAT file
system.

%prep
%setup -q

%build
scons

%install
rm -rf $RPM_BUILD_ROOT
scons install DESTDIR=$RPM_BUILD_ROOT/sbin
mkdir -p $RPM_BUILD_ROOT/usr/share/man/man8/
gzip -9 -c dump/dumpexfat.8 > $RPM_BUILD_ROOT/usr/share/man/man8/dumpexfat.8.gz
gzip -9 -c fsck/exfatfsck.8 > $RPM_BUILD_ROOT/usr/share/man/man8/exfatfsck.8.gz
ln -s /usr/share/man/man8/exfatfsck.8.gz $RPM_BUILD_ROOT/usr/share/man/man8/fsck.exfat.8.gz
gzip -9 -c mkfs/mkexfatfs.8 > $RPM_BUILD_ROOT/usr/share/man/man8/mkexfatfs.8.gz
ln -s /usr/share/man/man8/mkexfatfs.8.gz $RPM_BUILD_ROOT/usr/share/man/man8/mkfs.exfat.8.gz
gzip -9 -c label/exfatlabel.8 > $RPM_BUILD_ROOT/usr/share/man/man8/exfatlabel.8.gz

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%attr(755,root,root) /sbin/dumpexfat
%attr(755,root,root) /sbin/exfatfsck
/sbin/fsck.exfat
%attr(755,root,root) /sbin/mkexfatfs
/sbin/mkfs.exfat
%attr(755,root,root) /sbin/exfatlabel
%attr(644,root,root) /usr/share/man/man8/dumpexfat.8.gz
%attr(644,root,root) /usr/share/man/man8/exfatfsck.8.gz
/usr/share/man/man8/fsck.exfat.8.gz
%attr(644,root,root) /usr/share/man/man8/mkexfatfs.8.gz
/usr/share/man/man8/mkfs.exfat.8.gz
%attr(644,root,root) /usr/share/man/man8/exfatlabel.8.gz

%changelog
* Sat Feb 02 2013 Lawrence R. Rogers <lrr@cert.org> - 1.0.2-1
* Release 1.0.1-1
	* Fixed unexpected removal of a directory if it is moved into itself.
	* Fixed "Operation not permitted" error on reading an empty file.

* Sat Jan 19 2013 Lawrence R. Rogers <lrr@cert.org> - 1.0.0-1
* Release 1.0.0-1

	* Fixed crash when renaming a file within a single directory and a new name differs only in case.
	* Fixed clusters allocation: a cluster beyond valid clusters range could be allocated.
	* Fixed crash when a volume is unmounted while some files are open.
	* SConscript now respects AR and RANLIB environment variables.
	* Improved error handling.

	Linux:

	* Enabled big_writes. This improves write speed (larger block size means less switches between kernel- and user-space).
	* Do BLKROGET ioctl to make sure the device is not read-only: after "blockdev --setro" kernel still allows to open the device
	  in read-write mode but fails writes.

	OS X:

	* Fixed OS X 10.8 support.
	* Switched to 64-bit inode numbers (now Mac OS X 10.5 or later is required).
	* Switched from unmaintained MacFUSE to OSXFUSE (http://osxfuse.github.com).
	* Fixed device size detection. Now mkfs works.
	* Workarounded some utilities failures due to missing chmod() support.
	* Disabled (senseless) permission checks made by FUSE.

* Thu Aug  9 2012 Andrew Nayenko <resver@gmail.com> - 0.9.8-1
- Updated to 0.9.8.

* Thu Mar  8 2012 Andrew Nayenko <resver@gmail.com> - 0.9.7-1
- Updated to 0.9.7.

* Sat Jan 14 2012 Andrew Nayenko <resver@gmail.com> - 0.9.6-1
- Updated to 0.9.6.
- Added symlinks to the man pages (fsck.exfat.8, mkfs.exfat.8).

* Sun May 15 2011 Andrew Nayenko <resver@gmail.com> - 0.9.5-1
- Updated to 0.9.5.

* Sat Mar  5 2011 Andrew Nayenko <resver@gmail.com> - 0.9.4-1
- Initial package for Fedora.
